Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Contact: pyqt@riverbankcomputing.com
Files-Excluded: examples/webkit/fancybrowser/jquery.min.js
                examples/webkit/fancybrowser/jquery_rc.py
Upstream-Name: PyQt5

Files: *
Copyright: 2020, Riverbank Computing Limited
License: GPL-3

Files: dbus/*
Copyright: 2014, Riverbank Computing Limited
License: Expat

Files: examples/*
Copyright: 2010-2011, Nokia Corporation and/or its subsidiary(-ies)
           2010,      Hans-Peter Jansen <hpj@urpla.net>
           2012-2013, Digia Plc and/or its subsidiary(-ies)
           2013-2018, Riverbank Computing Limited
License: BSD-3-clause

Files: examples/designer/plugins/python/*
       examples/designer/plugins/widgets/*
Copyright: 2006-2007, David Boddie <david@boddie.org.uk>
           2005-2006, Trolltech ASA
License: GPL-2+

Files: examples/designer/plugins/python/datetimeeditplugin.py
       examples/designer/plugins/widgets/datetimeedit.py
Copyright: 2008, Denviso GmbH, <ulrich.berning@denviso.de>
License: ISC-Denviso

Files: examples/draganddrop/delayedencoding/images/example.svg
       examples/graphicsview/embeddeddialogs/embeddeddialogs.py
       examples/ipc/*
       examples/itemviews/spreadsheet/*
       examples/network/lightmaps.py
       examples/qtdemo/*
       examples/quick/canvas/contents/Slider.qml
       examples/quick/scenegraph/customgeometry/main.qml
       examples/richtext/textedit/textedit.py
Copyright: 2010,      Hans-Peter Jansen <hpj@urpla.net>
           2010,      Nokia Corporation and/or its subsidiary(-ies)
           2013-2018, Riverbank Computing Limited
License: LGPL-2.1 with Digia-1.1 exception or GPL-3

Files: examples/remoteobjects/*
Copyright: 2018, Riverbank Computing Limited
           2017, Ford Motor Company
License: BSD-3-clause

Files: qpy/pylupdate/*
Copyright: 2002-2007, Detlev Offenbach <detlev@die-offenbachs.de>
           2013,      Digia Plc and/or its subsidiary(-ies)
           2016,      Riverbank Computing Limited
License: LGPL-2.1 with Digia-1.1 exception or GPL-3

Files: qpy/pylupdate/pylupdate.h
Copyright: 2020, Riverbank Computing Limited
License: GPL-3

Files: qpy/pyrcc/*
Copyright: 2013, Digia Plc and/or its subsidiary(-ies)
           2018, Riverbank Computing Limited
License: LGPL-2.1 with Digia-1.1 exception or GPL-3

Files: pyuic/uic/Compiler/*.py
       pyuic/uic/Loader/*.py
       pyuic/uic/__init__.py
       pyuic/uic/exceptions.py
       pyuic/uic/objcreator.py
       pyuic/uic/properties.py
       pyuic/uic/uiparser.py
       pyuic/uic/widget-plugins/qtwebkit.py
Copyright: 2005-2006, Thorsten Marek <shlomme@gmx.net>
           2014-2020, Riverbank Computing Limited
License: GPL-2 or BSD-3-clause

Files: debian/*
Copyright: 2006-2010, Thorsten Marek <shlomme@debian.org>
           2011-2018, Scott Kitterman <scott@kitterman.com>
           2013-2020, Dmitry Shachnev <mitya57@debian.org>
License: GPL-2+

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2.0 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 2, can be found in /usr/share/common-licenses/GPL-2.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 2, can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3.0 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 3, can be found in /usr/share/common-licenses/GPL-3.

License: LGPL-2.1 with Digia-1.1 exception
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version
 2.1 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License, version 2.1, can be found in
 /usr/share/common-licenses/LGPL-2.1.
 .
 As an additional permission to the GNU Lesser General Public License version
 2.1, the object code form of a "work that uses the Library" may incorporate
 material from a header file that is part of the Library.  You may distribute
 such object code under terms of your choice, provided that:
     (i)   the header files of the Library have not been modified; and
     (ii)  the incorporated material is limited to numerical parameters, data
           structure layouts, accessors, macros, inline functions and
           templates; and
     (iii) you comply with the terms of Section 6 of the GNU Lesser General
           Public License version 2.1.
 .
 Moreover, you may apply this exception to a modified version of the Library,
 provided that such modification does not involve copying material from the
 Library into the modified Library's header files unless such material is
 limited to (i) numerical parameters; (ii) data structure layouts;
 (iii) accessors; and (iv) small macros, templates and inline functions of
 five lines or less in length.
 .
 Furthermore, you are not required to apply this additional permission to a
 modified version of the Library.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 * Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
 * Neither the name of the University nor the names of its contributors
   may be used to endorse or promote products derived from this software
   without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use, copy,
 modify, merge, publish, distribute, sublicense, and/or sell copies
 of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.

License: ISC-Denviso
 Permission to use, copy, modify, and distribute this software and its
 documentation for any purpose and without fee is hereby granted, provided
 that the above copyright notice appear in all copies and that both that
 copyright notice and this permission notice appear in supporting
 documentation.
 .
 DENVISO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL DENVISO
 BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
